RubyGems Navigation menu

dialect 0.0.1

Dialect is a framework that provides a way to describe your application in terms of activity and page definitions. Those definitions can then be referenced by test libraries using the DSL that Dialect provides. The DSL provides a fluent interface that can be used for constructing test execution logic. This fluent interface promotes the idea of compressibility of your test logic, allowing for more factoring, more reuse, and less repetition. You can use Dialect directly as an automated testing solution or you can use it with other tools such as RSpec, Cucumber, or my own Lucid tool.

Versions:

  1. 0.0.1 - February 25, 2014 (7 KB)

Development Dependencies (2):

Owners:

Authors:

  • Jeff Nyman

SHA 256 checksum:

455ddfa0d47e268c17607a164324b68a3994fe328436c99658cbd73e6304dcd1

Total downloads 1,962

For this version 1,962

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: None

Required Rubygems Version: >= 1.6.1

Links: